{% extends "layout.html.twig" %}

{% block content %}
    <div class="row" >
        <a href="{{ BASE_URL }}/oeuvre/creerOeuvre/"> Ajouter une Oeuvre </a>
        <table border="2">
            <caption>Recapitulatif des Oeuvres</caption>
            <thead>
            <tr>
                <th>Auteur</th>
                <th>Titre</th>
                <th>num. Oeuvre</th>
                <th>Date de Parution</th>
                <th>Nb. Exemplaires</th>
                <th>Nb. Disponibles</th>
                <th>Photo</th>
                <th>opérations</th>
            </tr>
            </thead>
            <tbody>
            {% if oeuvres is not empty %}
                {% for oeuvre in oeuvres %}
                    <tr>
                        <td>
                            {{ oeuvre.nomAuteur }}
                        </td>
                        <td>
                            {{ oeuvre.titre }}
                        </td>
                        <td>
                            {{ oeuvre.noOeuvre }}
                        </td>
                        <td>
                            {{  oeuvre.dateParution }}
                        </td>
                        <td>
                            {{ oeuvre.nbExemplaire }}
                        </td>
                        <td>
                            {{ oeuvre.nombreDispo }}
                        </td>
                        <td>
                            {%  if oeuvre.photo is not empty %}
                                <img style="width:20px;height:20px" src="{{ ASSET_URL }}assets/images/{{ oeuvre.photo }}" alt="image de {{ oeuvre.titre }}">
                            {% else %}
                                <img style="width:20px;height:20px" src="{{ ASSET_URL }}assets/images/no_photo.jpeg" alt="pas de photo">
                            {% endif %}
                        </td>
                        <td>
                            <a href="{{ BASE_URL }}/oeuvre/modifierOeuvre/{{ oeuvre.noOeuvre }}">modifier</a>
                            <a href="{{ BASE_URL }}/oeuvre/supprimerOeuvre/{{ oeuvre.noOeuvre }}">supprimer</a>
                        </td>
                    </tr>
                {% endfor %}
            {% else %}
                <tr>
                    <td> Pas d'oeuvre dans la base de donnés.</td>
                </tr>
            {% endif %}
            <tbody>
        </table>
    </div>
{% endblock %}